"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_break_commands
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_break_commands class methodsFor:'documentation'!

documentation
"
The `-break-commands' Command
-----------------------------

Synopsis
........

      -break-commands NUMBER [ COMMAND1 ... COMMANDN ]

   Specifies the CLI commands that should be executed when breakpoint
NUMBER is hit.  The parameters COMMAND1 to COMMANDN are the commands.
If no command is specified, any previously-set commands are cleared.
*Note Break Commands::.  Typical use of this functionality is tracing a
program, that is, printing of values of some variables whenever
breakpoint is hit and then continuing.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `commands'.

Example
.......

     (gdb)
     -break-insert main
     ^done,bkpt={number='1',type='breakpoint',disp='keep',
     enabled='y',addr='0x000100d0',func='main',file='hello.c',
     fullname='/home/foo/hello.c',line='5',thread-groups=['i1'],
     times='0'}
     (gdb)
     -break-commands 1 'print v' 'continue'
     ^done
     (gdb)


"
! !

!GDBMI_break_commands methodsFor:'accessing'!

operation
	^ 'break-commands'
! !

