"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_catch_unload
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_catch_unload class methodsFor:'documentation'!

documentation
"
The `-catch-unload' Command
---------------------------

Synopsis
........

      -catch-unload [ -t ] [ -d ] REGEXP

   Add a catchpoint for library unload events.  If the `-t' option is
used, the catchpoint is a temporary one (*note Setting Breakpoints: Set
Breaks.).  If the `-d' option is used, the catchpoint is created in a
disabled state.  The `regexp' argument is a regular expression used to
match the name of the unloaded library.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `catch unload'.

Example
.......

     -catch-unload -d bar.so
     ^done,bkpt={number='2',type='catchpoint',disp='keep',enabled='n',
     what='load of library matching bar.so',catch-type='unload',times='0'}
     (gdb)


"
! !

!GDBMI_catch_unload methodsFor:'accessing'!

operation
	^ 'catch-unload'
! !

