"{ Package: 'jv:libgdbs' }"

GDBCompoundValueDescriptor subclass:#GDBObjectValueDescriptor
	instanceVariableNames:'properties'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Private-Descriptors'
!

!GDBObjectValueDescriptor methodsFor:'accessing'!

propertyDescriptorAt: name
    properties isNil ifTrue:[ ^ nil ].
    ^ properties at: name ifAbsent:[nil].

    "Created: / 18-06-2014 / 20:34:32 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 19-06-2014 / 21:19:57 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBObjectValueDescriptor methodsFor:'defining'!

define: name as: class
    | descriptor |

    properties isNil ifTrue:[ properties := Dictionary new ].
    descriptor := class gdbValueDescriptor.
    (properties includesKey: name) ifTrue:[ 
        GDBValueDescriptorError newException
            parameter: descriptor;
            messageText: ('Property %1 already defined' % name );
            raiseRequest.
    ].
    properties at: name put: descriptor

    "Created: / 17-06-2014 / 22:00:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 18-06-2014 / 23:21:56 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

define: name as: collectionClass of: elementClass
    | descriptor |

    properties isNil ifTrue:[ properties := Dictionary new ].      
    descriptor := GDBListValueDescriptor forClass: elementClass.
    descriptor collectionKlass: collectionClass.
    (properties includesKey: name) ifTrue:[ 
        GDBValueDescriptorError newException
            parameter: descriptor;
            messageText: ('Property %1 already defined' % name );
            raiseRequest.
    ].
    properties at: name put: descriptor

    "Created: / 18-06-2014 / 10:34:24 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 18-06-2014 / 23:22:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBObjectValueDescriptor methodsFor:'parsing'!

parseUsingParser:aGDBParser
    ^ aGDBParser parseValueAsInstanceOf: klass describedBy: self

    "Created: / 18-06-2014 / 10:40:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 18-06-2014 / 23:18:54 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

